--AH:ScriptId=9944137e-fcab-4dec-9296-f7759f19fbf5;453
ALTER TABLE [NamedUsers]
  ADD [UserClassType_Code] CHAR(1) NULL
GO 

UPDATE [NamedUsers]
  SET [UserClassType_Code] = COALESCE(
                                (SELECT [UserClassType_Code] FROM [UserClasses] WHERE [User_Name] = N.[User_Name])
                               ,'F')
FROM [NamedUsers] N

UPDATE [NamedUsers] 
   SET [UserClassType_Code] = 'A' 
 WHERE [UserClassType_Code] = 'L'

ALTER TABLE [NamedUsers]
  ALTER COLUMN [UserClassType_Code] CHAR(1) NOT NULL
GO
  
ALTER TABLE [NamedUsers]
  ADD CONSTRAINT [CK__NamedUsers__UserClassType_Code__Domain] CHECK ([UserClassType_Code] IN ('F', 'A'))
GO
  
DROP TABLE [UserClasses]
GO
 
IF OBJECT_ID('[Security_GetUserClassType]') IS NOT NULL DROP PROCEDURE [Security_GetUserClassType]