--AH:ScriptId=9A16D0F1-FEBC-482D-B7D9-072CB32208CB

CREATE TABLE [RetentionPolicyExecutions]
(
	[Execution_Id] INT NOT NULL,
	[RetentionPolicy_Id] INT NULL,
	[Simulation_Indicator] YNINDICATOR NOT NULL,

	CONSTRAINT [PK__RetentionPolicyExecution]
		PRIMARY KEY ([Execution_Id]),

	CONSTRAINT [FK__RetentionPolicyExecutions__Executions]
		FOREIGN KEY ([Execution_Id])
		REFERENCES [Executions] ([Execution_Id])
		ON DELETE CASCADE,

	CONSTRAINT [FK__RetentionPolicyExecutions__RetentionPolicies]
		FOREIGN KEY ([RetentionPolicy_Id])
		REFERENCES [RetentionPolicies]
		ON DELETE SET NULL
)

ALTER TABLE [Executions]
	DROP CONSTRAINT [CK__Executions__ExecutionMode_Code]
GO

ALTER TABLE [Executions]
	ADD CONSTRAINT [CK__Executions__ExecutionMode_Code]
		CHECK ([ExecutionMode_Code] IN ('T', 'A', 'B', 'C', 'D', 'E', 'M', 'R'))
