--AH:ScriptId=960636E8-D434-4B62-BBDE-335FC7ED45F7

CREATE TABLE [PipelineStageDeploymentExecutions]
(
	[Execution_Id] INT NOT NULL,
	[Promotion_Id] INT NOT NULL,

	CONSTRAINT [PK__PipelineStageDeploymentExecutions]
		PRIMARY KEY ([Execution_Id]),

	CONSTRAINT [FK__PipelineStageDeploymentExecutions__Executions]
		FOREIGN KEY ([Execution_Id])
		REFERENCES [Executions] ([Execution_Id])
		ON DELETE CASCADE,

	CONSTRAINT [FK__PipelineStageDeploymentExecutions__Promotions]
		FOREIGN KEY ([Promotion_Id])
		REFERENCES [BuildPromotions] ([Promotion_Id])
		ON DELETE CASCADE
)

ALTER TABLE [Executions]
	DROP CONSTRAINT [CK__Executions__ExecutionMode_Code]
GO

ALTER TABLE [Executions]
	ADD CONSTRAINT [CK__Executions__ExecutionMode_Code]
		CHECK ([ExecutionMode_Code] IN ('T', 'A', 'B', 'C', 'D', 'E', 'M', 'R', 'S'))

GO

ALTER TABLE [BuildExecutions]
	ADD [PipelineStageDeploymentExecution_Id] INT
GO

ALTER TABLE [BuildExecutions]
	ADD CONSTRAINT [FK__BuildExecutions__PipelineStageDeploymentExecutions]
		FOREIGN KEY ([PipelineStageDeploymentExecution_Id])
		REFERENCES [PipelineStageDeploymentExecutions] ([Execution_Id])
