EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Packages_DeletePackage',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a package.'
GO

IF OBJECT_ID('[Packages_DeletePackage]') IS NOT NULL DROP PROCEDURE [Packages_DeletePackage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Packages_DeletePackage]
(
    @Package_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	DELETE [Packages]
	WHERE [Package_Id] = @Package_Id

END
GO

GRANT EXECUTE ON [Packages_DeletePackage] TO [BuildMasterUser_Role]
