EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'SetupTemplates_DeleteSetupTemplate',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified setup template'
GO

IF OBJECT_ID('[SetupTemplates_DeleteSetupTemplate]') IS NOT NULL DROP PROCEDURE [SetupTemplates_DeleteSetupTemplate]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [SetupTemplates_DeleteSetupTemplate]
(
	@SetupTemplate_Id INT
)
AS
BEGIN
	SET NOCOUNT ON

	DELETE [SetupTemplates]
     WHERE [SetupTemplate_Id] = @SetupTemplate_Id

END
GO

GRANT EXECUTE ON [SetupTemplates_DeleteSetupTemplate] TO [BuildMasterUser_Role]